/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\resources\Masterpiece Resources\_RandomMResources.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server
{
	public class RandomMResources
	{
		
		public static Item Generate()
		{
		Item i=null;
			switch ( Utility.Random( 18 ))
			{                                   
				case 0: i= new LesserDetriment( Utility.Random(2,8) ); break;   
				case 1: i= new GreaterDetriment( Utility.Random(2,8) ); break;
				case 2: i= new VolcanicAura( Utility.Random(1,5) ); break;
				case 3: i= new ContaminatingSlime( Utility.Random(1,5) ); break;    
				case 4: i= new WitheringCold( Utility.Random(1,5) ); break;   
				case 5: i= new IronForce( Utility.Random(1,5) ); break;  
				case 6: i= new ElectricStorm( Utility.Random(1,5) ); break;
				case 7: i= new ShimmeringLight(); break;    
				case 8: i= new MythrilIngot();break;   
				case 9: i= new SoulOfFire(); break;  
				case 10: i= new EssenceOfFrost(); break;
				case 11: i= new SpectreOfNox(); break;    
				case 12: i= new SpiritOfRock();break;   
				case 13: i= new GhostOfEnergy(); break;  
				case 14: i= new LuckyClovers( Utility.Random(1,8) ); break;
				case 15: i= new SurrenderingAttack( Utility.Random(1,4) ); break;  
				case 16: i= new SurrenderingDefense( Utility.Random(1,4) ); break;
				case 17: i = new DraughtOfAlchemy( Utility.Random(1,5) ); break;
			}			
			
			return i;
		}
	}
}ÿ